<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Antecedentes heredo familiares del Alumno</title>
    </h:head>
    <h:body>
        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 


                <p:fieldset legend=" Consultas con Filtros por Antecedentes Heredo Familiares" style="margin-bottom:10px">
                    <h:form>
                        <h:panelGrid columns="7" cellpadding="2" cellspacing="7" width="97%">
                            <p:outputLabel value="Antecedente Heredo Familiar"/>
                            <p:selectOneMenu value="#{heredo_alumnoController.ante_familiar2.id}" style="width: 250px;">
                               <f:selectItem itemLabel="Seleccione Antecedente" itemValue="" />
                                <f:selectItems value="#{antecedenteFamiliarController.listaAntecedente}" var="af" itemValue="#{af.id}" itemLabel="#{af.antecedente_f}"  />
                            </p:selectOneMenu>
                            <p:outputLabel value="Carrera"/>
                            <p:selectOneMenu value="#{heredo_alumnoController.carrera.id}">
                                 <f:selectItem itemLabel="Seleccione Carrera" itemValue="" />
                                <f:selectItems value="#{carreraController.lista}" var="carrera" itemValue="#{carrera.id}" itemLabel="#{carrera.carrera}"/>
                            </p:selectOneMenu>

                            <p:outputLabel value="Aceptó Investigación"/>
                            <p:selectOneMenu value="#{heredo_alumnoController.acuerdo}" style="width: 150px;">
                                 <f:selectItem itemLabel="Seleccione" itemValue="" />
                                <f:selectItem itemValue="SI" itemLabel="De acuerdo"/>
                                <f:selectItem itemValue="NO" itemLabel="Desacuerdo"/>
                            </p:selectOneMenu>
                            <p:commandButton icon="pi pi-search" value="Buscar" actionListener="#{heredo_alumnoController.findByCarreraEnfermedad()}" update=":tabla"/>

                           
                            <p:outputLabel value="Enfermedad"/>
                            <p:selectOneMenu value="#{heredo_alumnoController.ante_familiar.id}" style="width: 250px;">
                                   <f:selectItem itemLabel="Seleccione Enfermedad" itemValue="" />
                                <f:selectItems value="#{antecedenteFamiliarController.listaAntecedente}" var="af" itemValue="#{af.id}" itemLabel="#{af.antecedente_f}"/>
                            </p:selectOneMenu>
                            <p:commandButton icon="pi pi-search" value="Buscar" actionListener="#{heredo_alumnoController.findByEnfermedad()}" update=":tabla"/>

                        </h:panelGrid>            
                    </h:form>
                </p:fieldset>
                <p:fieldset legend="Listado de Alumnos por Antecedentes Heredo-familiares">
                    <h:form id="tabla">
                        <p:dataTable value="#{heredo_alumnoController.heredoAlumnoList}" var="heredo" paginator="true" rows="5">
                            <p:column headerText="Alumno">                            
                                <p:outputLabel value="#{heredo.alumno.nombres}"/>     
                            </p:column>
                            <p:column headerText="Facultad" >     
                                <p:outputLabel value="#{heredo.alumno.carrera.facultad.facultad}"/>
                            </p:column>
                            <p:column headerText="Carrera" >     
                                <p:outputLabel value="#{heredo.alumno.carrera.carrera}"/>
                            </p:column>
                            <p:column headerText="Antecedentes Heredo Familiares" >     
                                <p:outputLabel value="#{heredo.ante_familiar.antecedente_f}" rendered="#{heredo.descripcion==null or heredo.tipo_cancer!=null}"/>
                                <p:outputLabel value="#{heredo.ante_familiar.antecedente_f}:  #{heredo.descripcion}" rendered="#{heredo.descripcion!=null}"/>
                                <p:outputLabel value=":  #{heredo.tipo_cancer.tipo}" rendered="#{heredo.tipo_cancer!=null}"/>
                            </p:column>
                            <p:column headerText="Acuerdo" >     
                                <p:outputLabel value="#{heredo.alumno.acuerdo}"/>
                            </p:column>
                            
                            <p:column headerText="Acción">
                                <p:commandButton icon="pi pi-list" value="Ver Detalles" action="#{heredo_alumnoController.idAlumno(heredo)}"/>
                            </p:column>

                        </p:dataTable>
                    </h:form>
                </p:fieldset>

            </ui:define>
        </ui:composition>
    </h:body>
</html>

